== Changelog ==

= 4.4.7 =

* **New Features**
* New integration: Formatter.
* Formatter: New action: Convert string into format.
* Formatter: New action: Round number into format.
* New integration: Generator.
* Generator: New action: Generate a hash.
* Generator: New action: Generate a nonce.
* **Improvements**
* Improved organization of triggers into independent groups.

= 4.4.6 =

* **New Features**
* New integration: Kali Forms.
* Kali Forms: New trigger: User submits a form.
* Kali Forms: New trigger: Guest submits a form.
* New integration: Pretty Links.
* Pretty Links: New trigger: User clicks a pretty link.
* New integration: weForms.
* weForms: New trigger: User submits a form.
* weForms: New trigger: Guest submits a form.
* **Improvements**
* Added conditions for All Users and All Posts automations.

= 4.4.5 =

* **Developer Notes**
* Tested in WordPress 6.6.

= 4.4.4 =

* **Improvements**
* WordPress: Improved labels in actions related to metas.
* **Bug Fixes**
* Mailchimp: Fixed bug related to tags selection.

= 4.4.3 =

* **Improvements**
* WordPress: Add field in action Create Post to add the post to a category.

= 4.4.2 =

* **Improvements**
* Mailchimp: Updated Mailchimp templates API calls.

= 4.4.1 =

* **Improvements**
* Get the WordPress email from & from name as default.

= 4.4.0 =

* **New Features**
* Added the field "From Name" in the "Send email" action.
* **Improvements**
* Ensure that from name & email address is applied to the email sent from the action "Send email".
* Improve the options form display in the action "Send email".
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 4.3.9 =

* **Improvements**
* Fluent Forms: Support to checkbox fields.

= 4.3.8 =

* **Bug fixes**
* GamiPress: Improved check for delete post triggers.

= 4.3.7 =

* **Bug fixes**
* GamiPress: Fixed tag selection in user fields.

= 4.3.6 =

* **Improvements**
* WordPress: Check for delete post triggers.
* **Bug Fixes**
* MailerLite: Fixed bug related to add subscribers trigger.

= 4.3.5 =

* **Bug Fixes**
* Bug fixed to avoid launching triggers related to post updates twice.
* ActiveCampaign: Fixed a PHP warning related to user information.

= 4.3.4 =

* **Bug Fixes**
* Fixed bug related to Webhooks tags.

= 4.3.3 =

* **Improvements**
* Added tags for post taxonomies.

= 4.3.2 =

* **New Features**
* Availability to create Action Tags.
* **Improvements**
* Ensure compatibility of form integrations with the new Trigger Tags.
* WPCode: Ensure compatibility with PRO version.

= 4.3.1 =

* **Bug Fixes**
* SureCart: Fixed bug to get the customer data correctly.

= 4.3.0 =

* **New Features**
* New integration: ARForms.
* ARForms: New trigger: User submits a form.
* ARForms: New trigger: Guest submits a form.
* New integration: ConvertKit.
* ConvertKit: New action: Add user to form.
* ConvertKit: New action: Add user to sequence.
* ConvertKit: New action: Add tag to user.
* ConvertKit: New action: Remove tag from user.

= 4.2.2 =

* **Improvements**
* BuddyBoss: Improvements in the preview link function when adding activity.

= 4.2.1 =

* **Bug Fixes**
* BuddyPress: Added compatibility with BuddyPress 12.0.0.

= 4.2.0 =

* **Bug Fixes**
* MailerLite: First name and last name can be added when a user is subscribed to a group.

= 4.1.0 =

* **Bug Fixes**
* ClickUp: Fixed typo.
* MailerLite: Fixed typo.
* Restrict Content PRO: Fixed expiration date in Add Membership action when is empty.

= 4.0.0 =

* **Improvements**
* WordPress: Added filters on "Update post" triggers to allow override all parameters.

= 3.9.0 =

* **Improvements**
* Improved SQL queries to add indexes.

= 3.8.0 =

* **Improvements**
* Improved support for strict mode databases.

= 3.7.0 =

* **Improvements**
* Ensure times option in triggers does not allow value zero.
* Added confitions to WordPress triggers related to metas.

= 3.6.0 =

* **Improvements**
* Ensure compatibility with PHP 8.2.

= 3.5.0 =

* **Bug Fixes**
* Fluent Forms: Fixed anonymous trigger.
* Restrict Content Pro: Fixed expiration date in Add Membership action.

= 3.4.0 =

* **Improvements**
* Added checks to avoid unnecessary ajax requests.

= 3.3.0 =

* **Bug Fixes**
* Check call to API to avoid warnings due to integrations.

= 3.2.0 =

* **New Features**
* New integration: ClickUp.
* ClickUp: New action: Add comment to a task.
* ClickUp: New action: Add tag to a task.
* ClickUp: New action: Create a list.
* ClickUp: New action: Create a new task in list.
* New integration: Kadence Blocks.
* Kadence Blocks: New trigger: User submits a form.
* Kadence Blocks: New trigger: Guest submits a form.
* New integration: WP All Import.
* WP All Import: New trigger: User completes an import.
* WP All Import: New trigger: User imports posts of a type.

= 3.1.0 =

* **Bug Fixes**
* Check call to API to avoid warnings due to integrations.

= 3.0.0 =

* **Bug Fixes**
* ARMember: Fixed compatibility with ARMember Complete Membership.

= 2.8.0 =

* **New Features**
* New integration: ARMember.
* ARMember: New trigger: User added to a membership plan.
* ARMember: New action: Add user to membership plan.
* New integration: WooCommerce Shipstation.
* WooCommerce Shipstation: New trigger: User\'s order gets shipped.
* New integration: Code Snippets.
* Code Snippets: New action: Activate a snippet.
* Code Snippets: New action: Deactivate a snippet.
* **Bug Fixes**
* Fixed input fields to allow value 0.
* WooCommerce: Fixed tag "woocommerce_order_number".

= 2.7.7 =

* **Bug Fixes**
* Restrict Content PRO: Fixed detection of Restrict Content PRO plugin.

= 2.7.6 =

* **Bug Fixes**
* Fixed JS error.

= 2.7.5 =

* **New Features**
* New integration: Gravity Kit.
* Gravity Kit: New trigger: User gets entry approved in form.
* Gravity Kit: New trigger: Guest gets entry approved in form.
* New integration: WPCode.
* WPCode: New action: Activate a snippet.
* WPCode: New action: Deactivate a snippet.

= 2.7.4 =

* **New Features**
* New integration: Charitable.
* Charitable: New trigger: User makes a donation.
* Charitable: New trigger: Guest makes a donation.

= 2.7.3 =

* **Improvements**
* Added filter to handle tags in schedule actions.

= 2.7.2 =

* **New Features**
* New integration: Thrive Leads
* Thrive Leads: New trigger: User submits any/specific form.
* Thrive Leads: New trigger: Guest submits any/specific form.
* New integration: Thrive Ovation
* Thrive Ovation: New trigger: User submits a testimonial.
* Thrive Ovation: New trigger: Guest submits a testimonial.

= 2.7.1 =

* **Bug Fixes**
* Fluent Forms: Fixed deprecated hooks to adapt to Fluent Forms latest version.

= 2.7.0 =

* **Bug Fixes**
* WPLMS: Updated to the WPLMS latest version.

= 2.6.9 =

* **Bug Fixes**
* Prevent incorrect formatting of the URL in the "Redirect user to URL" action.

= 2.6.8 =

* **New Features**
* Added a clear all logs button on logs list view.
* Added post date and modified date tags (GMT version too).
* New action: Run an all users automation.
* New action: Run an all posts automation.

= 2.6.7 =

* **Bug Fixes**
* MailerLite: Fixed bug on MailerLite connection.
* Paid Memberships Pro: Fixed trigger "User cancels a subscription of a membership level" to adapt to latest version of Paid Memberships Pro.

= 2.6.6 =

* **New Features**
* New integration: MailerLite
* MailerLite: New action: Add/Update user to MailerLite.
* MailerLite: New action: Add user to group.

= 2.6.5.1 =

* **Developer Notes**
* Fixed PHP notices caused by add_submenu_page() function when passing null as first parameter.

= 2.6.5 =

* **Improvements**
* BuddyBoss: Improved checking to ensure BuddyBoss functions exist.

= 2.6.4 =

* **Improvements**
* BuddyBoss: Improved trigger "User updates profile information" to avoid launch it when information did not change.

= 2.6.3 =

* **Improvements**
* Advanced Custom Fields: Improved the selection of fields for all types of posts.
* Advanced Custom Fields: Improved trigger "User updates post field with a value" will be launched when the field value is added the first time.
* JetEngine: Trigger works only with JetEngine types.

= 2.6.2 =

* **New Features**
* New integration: JetEngine.
* JetEngine: New trigger: User publishes a post of a type.
* **Improvements**
* WordPress: Improved trigger "User meta gets updated with a value" to work when a value is added.

= 2.6.1 =

* **New Features**
* New integration: Easy Affiliate.
* Easy Affiliate: New trigger: User becomes an affiliate.
* Easy Affiliate: New trigger: User earns a referral.

= 2.6.0 =

* **New Features**
* New integration: SureCart.
* SureCart: New trigger: User makes a purchase.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 2.5.9.1 =

* **Improvements**
* Improved escaping of SQL queries.

= 2.5.9 =

* **Improvements**
* Added more nonce checks to prevent CSRF attacks.
* Added more sanitization checks to database queries.

= 2.5.8 =

* **Improvements**
* AffiliateWP: Updated "User becomes an affiliate" trigger to adapt to AffiliateWP new version.

= 2.5.7 =

* **Improvements**
* WordPress: New field to update Display Name on action "Update User".

= 2.5.6 =

* **Bug Fixes**
* Fixed logs clean up recurring schedule when Action Scheduler is active.

= 2.5.5 =

* **Improvements**
* Performance improvements while loading integrations.
* Added an extra check to prevent issues if an old integration is active.
* Removed backward compatibility for free integrations since they have been removed 1 year ago.

= 2.5.4 =

* **Developer Notes**
* Added new hooks to extend the automation clone functionality.
* **Bug Fixes**
* ActiveCampaign: Fixed a PHP warning related to webhooks.

= 2.5.3 =

* **Improvements**
* Improved the auto logs cleanup to work even with large amounts of logs entries.

= 2.5.2 =

* **Improvements**
* BuddyBoss: Added check for updated activities to avoid send notifications.

= 2.5.1 =

* **Improvements**
* Added more nonce checks to prevent CSRF attacks.

= 2.5.0 =

* **Improvements**
* Meta Box: Added support for custom types.
* **Bug Fixes**
* FluentCRM: Fixed function to get the WordPress user ID.
* WP Fusion: Fixed triggers to handle "Any" tag.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 2.4.9 =

* **Bug Fixes**
* WP Simple Pay: Fixed display of form titles.

= 2.4.8 =

* **New Features**
* New tag: {date:FORMAT:VALUE} to place relative dates like {date:d/m/Y:+1 month}
* New tag: {timestamp:VALUE} to place relative timestamps like {timestamp:+1 month}

= 2.4.7 =

* **New Features**
* New integration: Meta Box.
* Meta Box: New trigger: User updates post field with a value.
* Meta Box: New action: Update post field with a value.

= 2.4.6 =

* **Improvements**
* Advanced Custom Fields (ACF): Custom option on post selection for "Update post field with a value" action.
* wpDiscuz: Improved checking to detect if it is configured the option "Use guest email to detect registered account".
* wpForo: Updated forums and topic selections to adapt triggers to version 2.0.0.
* **Bug Fixes**
* BuddyPress: Fixed group ID type in action "Add user to group".

= 2.4.5 =

* **Improvements**
* Updated add-ons API.

= 2.4.4 =

* **Bug fixes**
* Presto Player: Fixed tags to get data from logged automations.

= 2.4.3 =

* **Improvements**
* Skip some checks for automations with 1 trigger to allow run the automation even if there are invalid logs from previous tests.
* **Bug Fixes**
* Fixed date calculation for recurring automations.

= 2.4.2 =

* **Improvements**
* Prevent to check for redirects if user is not logged in.

= 2.4.1 =

* **Bug Fixes**
* Adding property checks to response object to prevent TypeError warnings in redirect Javascript.

= 2.4.0 =

* **Improvements**
* Tested with WordPress 6.1.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 2.3.9 =

* **Bug Fixes**
The Events Calendar: Fixed warning when confirming RSVP since Events Tickets has 2 different ways to launch the same hook with different parameters.

= 2.3.8 =

* **Improvements**
* Added more sanitization and escaping checks (thanks Shahjahan Jewel).

= 2.3.7 =

* **Bug Fixes**
* AmeliaBooking: Fixed anonymous triggers checking user logged.

= 2.3.6 =

* **Improvements**
* Improved URL sanity checks to prevent duplicated ampersands in "Redirect user to URL" action.
* **Bug Fixes**
* Fixed incorrect check to meet if a plugin integration should be loaded.

= 2.3.5 =

* **Bug Fixes**
* Fixed typo when including JetFormBuilder integration files.

= 2.3.4 =

* **Improvements**
* Improved URL sanity checks to keep its parameters in "Redirect user to URL" action.

= 2.3.3 =

* **New Features**
* New integration: Download Manager.
* New integration: JetFormBuilder.
* New integration: StudioCart.
* JetFormBuilder: New trigger: User submits a form.
* JetFormBuilder: New anonymous trigger: Guest submits a form.
* StudioCart: New trigger: User purchases a product.
* **Improvements**
* LearnDash: Added name of groups in "Make user the leader of a group" action label.

= 2.3.2 =

* **Bug Fixes**
* Fixed user ID assigned on "Delete user" action.

= 2.3.1 =

* **New Features**
* New integration: Google Calendar.
* **Developer Notes**
* Fixed wrong options in number condition fields (thanks @alexstewartja).
* Improved automatorwp_get_array_key_value() function bringing support to search by multiples keys (thanks @alexstewartja).

= 2.3.0 =

* **Improvements**
* Ensure to load all required script files in the automation edit screen.
* **Bug Fixes**
* Fixed custom options replacement on filters.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 2.2.9 =

* **New Features**
* BuddyBoss: New tags: Invitation tags to get the inviter and invited IDs.
* **Bug Fixes**
* MailPoet: Fixed variable type error in "Add subscriber to list" action due to MailPoet new version.

= 2.2.8 =

* **Bug Fixes**
* BuddyPress: Fixed the add user to group action to prevent to work with strings as group ID.
* BuddyBoss: Fixed the add user to group action to prevent to work with strings as group ID.
* Fixed a PHP notice in AutomatorWP settings screen.

= 2.2.7 =

* **Bug Fixes**
* Fixed incorrect function in the Advanced Custom Fields (ACF) integration.

= 2.2.6 =

* **New Features**
* New integration: Advanced Custom Fields (ACF).
* Advanced Custom Fields: New trigger: User updates post field with a value.
* Advanced Custom Fields: New action: Update post field with a value.
* **Bug Fixes**
* Fixed some incorrect text domain names.

= 2.2.5 =

* **Improvements**
* ActiveMember360: All actions adapted to last version of ActiveMember360.
* **Bug Fixes**
* wpForo: Updated wpForo install check to meet wpForo main class change in 2.0.0.
* Fixed parameters check when excluding URLs.

= 2.2.4 =

* **Bug Fixes**
* ActiveCampaign: Fixed a bug that causes contact is not detected in ActiveCampaign if email contains special characters.

= 2.2.3 =

* **New Features**
* Added the "All posts" automation, an automation to run actions on all or on a filtered group of posts manually, on a specific date or on a recurring basis (Ideal for automate maintenance tasks on your site posts like clean up the older posts or email administrators about pending ones).
* **Improvements**
* Improved the redirect URL Javascript checks.

= 2.2.2 =

* **New Features**
* Added the "All users" automation, an automation to run actions on all or on a filtered group of users manually, on a specific date or on a recurring basis.
* **Improvements**
* Improved the redirect URL action to work even when other plugins do a redirect.
* Removed a non required check of a Javascript file exists in AutomatorWP > Settings screen.
* Prevent PHP warnings during activation caused by CMB2 library.

= 2.2.1 =

* **New Features**
* New integration: Autonami.
* Autonami: New trigger: User added to list.
* Autonami: New trigger: Tag added to user.
* Autonami: New anonymous trigger: Contact added to list.
* Autonami: New anonymous trigger: Tag added to contact.
* Autonami: New action: Add a tag to the user.
* Autonami: New action: Add a tag to a contact.
* **Improvements**
* Style improvements to table fields display.

= 2.2.0 =

* **Bug Fixes**
* ActiveCampaign: Fixed a bug that causes tags are not getting loaded correctly.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 2.1.9 =

* **Bug Fixes**
* Prevent PHP warnings during activation caused by checking the existent database tables during activation.

= 2.1.8 =

* New integration: Jetpack CRM.
* Jetpack CRM: New trigger: New company added.
* Jetpack CRM: New trigger: New contact added.
* Jetpack CRM: New trigger: Tag added to company.
* Jetpack CRM: New trigger: Tag added to contact.

= 2.1.7 =

* **Improvements**
* Performance improvement reducing the database queries to check if a table exists.
* FluentCRM: Performance improvement reducing the database queries to build the contact tags.

= 2.1.6 =

* **Bug Fixes**
* Tutor LMS: Fixed a bug on the "Enroll user to course" action for paid courses.

= 2.1.5 =

* **New Features**
* New integration: Thrive Quiz Builder.
* Thrive Quiz Builder: New trigger: User completes a quiz.
* BuddyBoss: Added the ability to add a link preview to the "Add an activity to user" action.
* WooCommerce: New tag: Order Currency.
* WooCommerce: New tag: Order Currency Symbol.
* **Bug Fixes**
* LearnPress: Fixed hidden button "Continue" in lessons.

= 2.1.4 =

* **New Features**
* WordPress: Added the ability to select a different user in the action "Add, change or remove role to user".
* **Improvements**
* GamiPress: Check if user to reward on actions exists.
* Tested with WordPress 6.0.

= 2.1.3 =

* **New Features**
* WordPress: New trigger: User updates a post.
* WordPress: New trigger: User updates a post of a type.
* WordPress: New trigger: User updates a post of a taxonomy.
* WordPress: New trigger: User updates a field of a post.
* **Improvements**
* Prevent to display revisions from on post selector fields.

= 2.1.2 =

* **New Features**
* New integration: Thrive Apprentice.
* Thrive Apprentice: New trigger: User completes a course.
* Thrive Apprentice: New action: Enroll user to a product.

= 2.1.1 =

* **Improvements**
* Mailchimp: Make tags selector be able to query all tags in the account.

= 2.1.0 =

* **New Features**
* BuddyBoss: Added the activity author ID tag.
* BuddyPress: Added the activity author ID tag.
* **Improvements**
* WooCommerce: Added a link to the order on logs entries where an order is assigned.
* **Bug Fixes**
* Mailchimp: Fixed a small bug that caused credentials not getting saved correctly.

= 2.0.9 =

* **New Features**
* Added the "Post Type Label" tag to display the post type label.
* **Improvements**
* Mailchimp: Only load Mailchimp libraries when needed.

= 2.0.8 =

* **New Features**
* Mailchimp: New action: New Integration: Mailchimp.
* Mailchimp: New action: Add tag to user.
* Mailchimp: New action: Subscribe user to an audience.
* Mailchimp: New action: Add note to user.

= 2.0.7 =

* **New Features**
* New Integration: Amelia.
* Amelia: New trigger: User books an appointment.
* Amelia: New anonymous trigger: Guest books an appointment.
* **Improvements**
* Added support for datetime fields.

= 2.0.6 =

* **New Features**
* New integration: ActiveCampaign.
* ActiveCampaign: New trigger: User added to ActiveCampaign.
* ActiveCampaign: New trigger: Tag added to user.
* ActiveCampaign: New action: Add user to ActiveCampaign.
* ActiveCampaign: New action: Add tag to user.
* **Improvements**
* Update code to prevent PHP warnings caused by old PHP versions.
* TutorLMS: Updated code to match with TutorLMS 2.0.

= 2.0.5 =

* **Developer Notes**
* Added the object_id parameter when parsing the automation item label.

= 2.0.4 =

* **Improvements**
* Added support to render options with multiples values in triggers or actions labels.

= 2.0.3 =

* **Improvements**
* LearnPress: Updated enroll user to course action to match with the latest LearnPress version.
* WPLMS: Updated check to meet if WPLMS is installed to match latest WPLMS v4.3.

= 2.0.2 =

* **Developer Notes**
* Updated CMB2 library to 2.10.1.

= 2.0.1 =

* **Improvements**
* Dashboard updated with new links to documentation.
* **Bug Fixes**
* Fixed issue with the reset password link and URL replacement.

= 2.0.0 =

* **New Features**
* Added the "Dashboard" page.
* New tag: Added the {date} tag to render the current date & time with support for custom formats using the is as {date:FORMAT}.
* New tag: Added the {timestamp} tag to render the current timestamp.
* **Improvements**
* WooCommerce: Added support to detect manual memberships assignations.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 1.9.9 =

* **New Features**
* New Integration: Divi.
* Divi: New Trigger: User submits a form.
* Divi: New Anonymous Trigger: Guest submits a form.

= 1.9.8 =

* **New Features**
* WooCommerce: Added the order customer note tag.
* **Improvements**
* LearnPress: Updated enroll user to course action to match with the latest LearnPress version.
* Reorder the integrations list alphabetically in the edit automation screen.

= 1.9.7 =

* **Bug Fixes**
* Fixed incorrect call of the wp_update_user() function.
* **Developer Notes**
* Tested with WordPress 5.9.

= 1.9.6 =

* **Bug Fixes**
* WishList Member: Prevent to render levels without ID on membership levels option fields.

= 1.9.5 =

* **New Features**
* New integration: Fluent Support.
* Fluent Support: New trigger: Agent opens a ticket.
* Fluent Support: New trigger: Client opens a ticket.
* **Improvements**
* Zoom: Force auto approval if registrant status is set to approve.

= 1.9.4 =

* **Developer Notes**
* Added support for CMB2 fields data removal if field has "multiple" set to "true".

= 1.9.3 =

* **New Features**
* New trigger: User gets deleted.
* New trigger: User role changes from role to role.
* New Action: Update multiple posts.
* New Action: Delete a post.
* New Action: Delete multiple posts.
* New Action: Delete a user.
* **Improvements**
* WishList Member: Updated class check to correctly detect if WishList Member is active.
* Zoom: Added the ability to register registrants with a custom status (approved, denied or pending).
* WordPress: Added support to the user nicename in the trigger "User field gets updated".
* **Developer Notes**
* Make use of the min() function when defining length of the table keys (thanks to @mholubowski).

= 1.9.2 =

* **New Features**
* FluentCRM: New trigger: User gets added.
* FluentCRM: New trigger: User status change to a status.
* FluentCRM: New anonymous trigger: A tag added to a contact.
* FluentCRM: New anonymous trigger: Contact gets added to a list.
* FluentCRM: New anonymous trigger: Contact status change to a status.
* FluentCRM: New tags: Contact field and custom field tags.

= 1.9.1.1 =

* **New Features**
* Make the post type selector more flexible and with support to private post types.

= 1.9.1 =

* **Improvements**
* LearnDash: Update quiz listener to match with LearnDash 3.0.0 changes.
* **Developer Notes**
* Quote all fields and indexes during database creation to improve compatibility with some database servers.

= 1.9.0 =

* **Improvements**
* Store the "Call a function" action result to meet the function return.
* Ensure to pass all tags on filter logs entries.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 1.8.9 =

* **Improvements**
* WooCommerce: Improved "User is added to a membership" trigger detection.

= 1.8.8 =

* **Improvements**
* WooCommerce: Ensure to trigger "User is added to a membership" only for active memberships.
* **Bug Fixes**
* Fixed the {times} tag replacement to show the correct number of times the user has triggered a trigger.

= 1.8.7 =

* **Bug Fixes**
* Fixed incorrect check for the "starts with", "ends with" and "contains" conditions.

= 1.8.6 =

* **Improvements**
* LearnDash: Update code to match with latest LearnDash changes.

= 1.8.5 =

* **Bug Fixes**
* Fixed issue during database tables creation for numeric keys.

= 1.8.4 =

* **Improvements**
* Ensure to provide a key length during database indexes creation to avoid issues with databases that requires key length.

= 1.8.3 =

* **Improvements**
* Improved database indexes creation to ensure maximum performance on the AutomatorWP tables.
* Ensure the creation of table indexes during installation.
* Updated AutomatorWP table versions to force table indexes creation on already installed websites.
* Updated Custom Tables library.

= 1.8.2 =

* **Developer Notes**
* Added more hooks to make the triggers replacement more flexible.

= 1.8.1 =

* **Improvements**
* Tutor LMS: Ensure to mark the enrollment as completed on "Enoll user in a course" action.

= 1.8.0.1 =

* **Improvements**
* Ensure to get the existent cache for database recounting queries.

= 1.8.0 =

* **New Features**
* WordPress: New filter: User with field exists or does not exists.
* New integration: SliceWP.
* SliceWP: New trigger: User becomes an affiliate.
* **Improvements**
* Improved the way to detect that all actions of an automation has been executed.
* Ensure to clear the completion times cache when a filter entry gets registered.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 1.7.9.2 =

* **Improvements**
* Improved support for numeric values on "Call a function" and "Run a WordPress hook" actions.

= 1.7.9.1 =

* **New Features**
* Added support for booleans on "Call a function" and "Run a WordPress hook" actions.

= 1.7.9 =

* **New Features**
* New action: Call a function.
* New action: Run a WordPress hook.
* GamiPress: Added the ability to insert a user earning entry in the "Award points to user" action.

= 1.7.8 =

* **New Features**
* New trigger: User deletes a post.
* New trigger: User deletes a post of a type.
* New trigger: User deletes a post in a taxonomy.
* **Improvements**
* Added checks in Javascript to detect if URL is correctly passed on redirect.
* **Developer Notes**
* Added filter to prevent to load an integration.

= 1.7.7 =

* **Bug Fixes**
* Presto Player: Fixed typo on a video selector label.

= 1.7.6 =

* **Improvements**
* Improvements in the flat condition filter to apply better checks depending of the condition configured.
* Security improvements added extra checks to all ajax calls.

= 1.7.5 =

* **Bug Fixes**
* Fixed flat condition filter check to correctly compare the values provided.

= 1.7.4 =

* **New Features**
* Added new tags to get the post thumbnail as an img HTML tag, ID and URL.
* **Improvements**
* Make the flat condition filter able to detect numeric values to correctly compare them.
* Newsletter: Improved the list selector.

= 1.7.3 =

* **New Features**
* PeepSo: Added post tags to the "User writes an activity post" trigger.
* **Improvements**
* Presto Player: Improved the video selector to correctly load videos instead of video blocks.

= 1.7.2 =

* **Improvements**
* WPLMS: Updated check to meet if WPLMS is installed to match latest WPLMS v4.

= 1.7.1 =

* **New Features**
* New integration: Advanced Ads.
* Advanced Ads: New trigger: User ad gets published.
* Advanced Ads: New trigger: User ad gets unpublished.
* Advanced Ads: New trigger: User ad expires.

= 1.7.0 =

* **Bug Fixes**
* wpForo: Fixed typo that prevents some tags to get rendered correctly.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 1.6.9 =

* **New Features**
* Tested AutomatorWP with WordPress 5.8.
* **Improvements**
* wpForo: Improved all listeners to correctly match with the wpForo database structure.
* **Bug Fixes**
* MailPoet: Fixed typo in "Add subscriber to list" action.
* **Developer Notes**
* Added new filters to exclude URLs from the redirect check.

= 1.6.8 =

* **Bug Fixes**
* WS Form: Fixed WS Form version check.

= 1.6.7 =

* **New Features**
* New integration: WS Form.
* WS Form: New trigger: User submits a form.
* WS Form: New trigger: Guest submits a form.
* **Improvements**
* LearnPress: Updated complete lesson listener to latest LearnPress version.

= 1.6.6 =

* **New Features**
* Added the log time in AutomatorWP > Logs.
* **Bug Fixes**
* Fixed contains and does not contains check for the Flat Condition filter.

= 1.6.5 =

* **New Features**
* New integration: Awesome Support.
* Awesome Support: New trigger: Agent opens a ticket.
* Awesome Support: New trigger: Client opens a ticket.
* New integration: Modern Events Calendar.
* Modern Events Calendar: New trigger: User booking for any/specific event is completed.
* **Developer Notes**
* Made ajax selector request data more extensible.

= 1.6.4 =

* **New Features**
* WordPress: New trigger: User resets their password.
* WordPress: New trigger: User profile field gets updated.
* **Improvements**
* Style improvements for the filter selector.

= 1.6.3 =

* **Improvements**
* Elementor: Improved pro version detection checks.
* Replace the use of constants by the plugin_dir_url() when registering integrations.
* **Bug Fixes**
* Elementor: Fixed constants already defined.

= 1.6.2 =

* **Improvements**
* Improved filters check for triggers and actions with multiples filters.
* Performance improvements in filters check function.

= 1.6.1 =

* **Bug Fixes**
* Fixed a issue that causes that automations with several OR filters does not get completed.

= 1.6.0 =

* **Bug Fixes**
* BuddyBoss: Fixed the group tags and stop to use the post tags in groups.
* BuddyPress: Fixed the group tags and stop to use the post tags in groups.
* **Developer Notes**
* Moved old changelog to changelog.txt.

= 1.5.9 =

* **Improvements**
* Improved functions to detect if integration is active to make it work even if some WordPress core functions have been deactivated.

= 1.5.8 =

* **Improvements**
* Paid Memberships Pro: Improved membership expiration listener.
* **Bug Fixes**
* Fixed undefined var in Javascript.

= 1.5.7 =

* **Bug Fixes**
* Fixed bug on filters check when all filters operators are OR.
* Elementor: Fixed tags replacement bug.
* GamiPress: Fixed user to award on all GamiPress actions.
* WooCommerce: Fixed issue that prevents to load all actions correctly.

= 1.5.6 =

* **New Features**
* New integration with Newsletter.
* Newsletter: New anonymous trigger: Guest subscribes to a list.

= 1.5.5 =

* **Improvements**
* Improved the display of nested elements in logs.
* HappyForms: Added support to detect HappyForms pro.
* **Bug Fixes**
* Fixed a typo that causes that notifications to new created users on anonymous automations are not getting sent.

= 1.5.4 =

* **Improvements**
* Renamed integrations class names to prevent errors if any integration is installed.

= 1.5.3 =

* **Bug Fixes**
* Fixed some integrations are not getting loaded.
* Fixed detection of recommended triggers and actions.

= 1.5.2 =

* **Bug Fixes**
* Fixed undefined function call on activation.

= 1.5.1 =

* **New Features**
* Moved all integrations inside AutomatorWP core plugin.
* **Improvements**
* Style improvements on the settings area.

= 1.5.0 =

* **New Features**
* Added a new setting to configure the minimum role allowed to manage AutomatorWP.
* New user tag: {user_url} to pass the user's website URL.
* **Improvements**
* Improved support for array fields on export through URL.
* **Developer Notes**
* Updated Custom Tables library.
* New hooks to exclude options when getting cloned or exported through URL.

= 1.4.9 =

* **New Features**
* New action: Update a post.
* New user tag: {avatar} to pass the user avatar image (in a <img> HTML tag).
* New user tag: {avatar_url} to pass the user avatar URL.
* Added the "URL slug" field to the "Create a post" action.
* **Bug Fixes**
* Fixed a typo on "Post of a specific type meta with any/specific key gets updated with any/specific value" trigger.

= 1.4.8 =

* **New Features**
* New trigger: Post of a specific type meta with any/specific key gets updated with any/specific value.
* Added the ability to clone automations.
* Added the ability to export automations through URL (no files required!).
* **Improvements**
* Added installation instructions on the Licenses page.

= 1.4.7 =

* **Improvements**
* Prevent incompatibility issues caused by others plugins to the AutomatorWP licenses screen.

= 1.4.6 =

* **Improvements**
* Prevent incompatibility issues caused by others plugins to the AutomatorWP settings screen.
* **Developer Notes**
* Updated internal libraries.

= 1.4.5 =

* **New Features**
* Added support for filters!
* New filter: Flat condition (you can build the filter using tags).
* New filter: User role matches with a specific role.
* New filter: User field matches with a specific value.
* New filter: User meta key matches with a specific value.
* Added controls to reorder triggers and actions.
* **Improvements**
* Code reduction on the events handler.
* Code reduction on the trigger and actions execution functions.
* Improvements for the log's array display function.
* Style improvements.

= 1.4.4 =

* **New Features**
* New trigger: Post meta with any/specific key gets updated with any/specific value.
* New trigger: User meta with any/specific key gets updated with any/specific value.
* New anonymous trigger: Guest views any/specific post.
* New anonymous trigger: Guest views any/specific page.
* New action: Update a user.
* **Developer Notes**
* Ensure compatibility with PHP 8.
* Updated internal libraries.

= 1.4.3 =

* **New Features**
* New action: Redirect user to url.

= 1.4.2 =

* **Bug Fixes**
* Fixed typo on taxonomy selectors.

= 1.4.1 =

* **New Features**
* Added support for custom values on "Add, change or remove role to user" action.
* **Improvements**
* Improved approved comment trigger detection.

= 1.4.0 =

* **Bug Fixes**
* Fixed incorrect calculation in decrement user/post meta actions.
* Fixed typo on increment/decrement meta labels.
* **Developer Notes**
* Added the automatorwp_send_email() function.
* Moved old changelog to changelog.txt.

= 1.3.9 =

* **Improvements**
* Added stronger escaping functions when inserting logs metas.

= 1.3.8 =

* **Improvements**
* Make post statuses field handle all registered statuses correctly.
* Allow shortcodes on "Send email" action subject and content.
* Added filters on "Send email" action to allow override all parameters.

= 1.3.7.1 =

* **Bug Fixes**
* Fixed click and focus triggers for some HTML elements in Javascript.

= 1.3.7 =

* **New Features**
* Added the ability to place custom values on selector fields using the option "Use a custom value".
* **Improvements**
* Updated deprecated jQuery functions.

= 1.3.6 =

* **New Features**
* New user tag: {reset_password_url} to pass the user reset password URL.
* New user tag: {reset_password_link} to pass the user reset password HTML link.
* New post tag: {post_url} to pass the post URL.
* Changed {post_link} tag to pass the post HTML link.
* Full support to RTL websites.
* **Improvements**
* Escape HTML tags on the tags selector previews.
* Improved the post selector to support custom post statuses (like bbPress or BuddyBoss "hidden" status).

= 1.3.5 =

* **Improvements**
* Style improvements on automations UI.
* **Bug Fixes**
* Fixed a bug on license clear and deactivation functions causing that previous value gets back after save the licenses again.
* **Developer Notes**
* Added support for multiples selection on selectors fields.

= 1.3.4 =

* **Improvements**
* Style improvements on settings.
* Let WordPress decide SSL verification in some API requests.
* Updated add-on updater class.
* Ensure correct server URL for AutomatorWP add-ons.

= 1.3.3 =

* **Improvements**
* Ensure that WordPress content filters allow place tags on fields with support to HTML.

= 1.3.2 =

* **New Features**
* Added the Settings menu.
* Added a configurable automatic logs cleanup.
* Added the setting "Automatic logs cleanup".
* Added a top bar menu to easily access to the AutomatorWP menus.
* Added the setting "Disable top bar menu".
* **Improvements**
* Style improvements on automations UI.
* **Bug Fixes**
* Fixed a incorrect check on "User publishes a post in any/specific taxonomy" trigger.
* **Developer Notes**
* Added support for Actions Scheduler when scheduling the automatic logs cleanup process.

= 1.3.1 =

* **Bug Fixes**
* Fixed a incorrect post type check on "User publishes a post in any/specific taxonomy" trigger.

= 1.3.0 =

* **New Features**
* Added anonymous automations: automations that can be executed without a user assigned.
* New anonymous trigger: Guest views a post of any/specific type.
* New anonymous trigger: Guest views a post of any/specific taxonomy.
* New anonymous trigger: Guest comments on a post of any/specific type.
* New anonymous trigger: Guest comments on a post of any/specific taxonomy.
* On create a new automation, a new dialog will appear to setup the automation type (logged-in or anonymous).
* Added the "Completions" column on automations list screen.
* **Improvements**
* Full rework of the "Save Changes" box.
* Large rework of several areas to make them more extensible for future new automation types.
* Several style improvements and changes on the automations UI.

= 1.2.9 =

* Changes merged on 1.3.0.

= 1.2.8 =

* **Improvements**
* Added more sanitization when inserting logs.
* Added more sanitization checks on ajax parameters.
* Improvements on number conditional functions (used to compare conditions in some triggers).

= 1.2.7 =

* **New Features**
* New trigger: User views a post of any/specific taxonomy.
* New trigger: User publishes a post in any/specific taxonomy.
* New trigger: User comments on a post of any/specific taxonomy.
* **Bug Fixes**
* Fixed plugin conflict with Yoast SEO Premium.

= 1.2.6 =

* **New Features**
* New trigger: User gets created through any/specific automation.
* New trigger: Post gets created through any/specific automation.
* **Improvements**
* Ensure to always get triggers and actions titles up to date on the automations list screen.

= 1.2.5 =

* **Improvements**
* Prevent to show recommendations if the integration is already installed.
* **Developer Notes**
* Delayed the initialization of the Custom Tables library.

= 1.2.4 =

* **New Features**
* New trigger: User post of any/specific type status changes to any/specific status.
* **Improvements**
* Style improvements on the automations UI.
* Added post information when using the "Set, insert, increment or decrement post meta" action.
* Correctly pass automation tag on logs labels.
* Improved the events engine performance.
* **Bug Fixes**
* Correctly detect multiples events triggered in a row.
* **Developer Notes**
* Added several hooks to extend the events engine.
* Added several hooks to extend the automations UI.
* Added several hooks to extend the logs screens.

= 1.2.3 =

* **Bug Fixes**
* Prevent any PHP warnings while migrating AutomatorWP database tables to InnoDB engine.

= 1.2.2 =

* **Bug Fixes**
* Fixed issues on multisite installs.

= 1.2.1 =

* **Improvements**
* Added the integration icon on the logs edit screen.
* Improved the tags parser order to pass first dynamic tags and tags from external plugins.
* Style improvements on the admin area.
* Improved fields rendering on logs screen.
* **Bug Fixes**
* Fixed typo on the logs edit screen that causes automation links not getting rendered correctly.

= 1.2.0 =

* **Developer Notes**
* Added more functions to make easier work with AutomatorWP custom tables data.
* Moved old changelog to changelog.txt.

= 1.1.9 =

* **Improvements**
* Added a required mark on all fields required.
* Prevent PHP warnings on the "Create post action" when leaving the post metas field blank.
* Added wp_mail filters to make emails work with 3rd party email providers like SendGrid.
* Added support on parse tags to parse array elements.
* Apply tag replacements only if content has any tags.
* **Developer Notes**
* Default tags renamed.
* Improved tags flexibility to allow plugins register custom tags and trigger tags easily.

= 1.1.8 =

* **Developer Notes**
* Added the ability to pass a custom callback to determine the post types of a post selector.

= 1.1.7 =

* **New Features**
* New trigger: User gets added to any/specific role.
* New trigger: User role changes to any/specific role.
* New trigger: User gets removed from any/specific role.
* **Developer Notes**
* Initialize everything sooner to get all functions ready as soon as possible.

= 1.1.6 =

* **New Features**
* New trigger: User publishes a post of any/specific type.
* Added the "Post URL" tag to triggers who have a post assigned.
* **Improvements**
* Force custom database tables to use InnoDB on creation.
* Added internal upgrade process to update custom database tables to InnoDB.
* Prevent to perform API calls on areas outside the add-ons or licenses pages.
* Add caching to several functions to speed up all queries implied on the event detection process.
* Improvements on the cache functionality.
* **Developer Notes**
* Added the ability to force not search in options when retrieving a specific cache element.

= 1.1.5 =

* **Bug Fixes**
* Prevent issues caused by the get_editable_roles() function.

= 1.1.4 =

* **New Features**
* New trigger: User comments on a post of any/specific type.

= 1.1.3 =

* **Bug Fixes**
* Fixed tags selector not working in some repeatable fields.
* Fixed editors not working after reorder the trigger or action.

= 1.1.2 =

* **Bug Fixes**
* Correctly display add-ons thumbnails on licenses page.
* **Improvements**
* Added missing integration notice on automations and logs.
* Added recommendations of integrations based on plugins installed.
* Clear field when license gets deactivated included when server responds that license has been already deactivated.
* Style improvements.

= 1.1.1 =

* **Improvements**
* Make sure to assign user that completes the automation as post author if none provided on "Create a post" action.
* Style improvements.
* **Developer Notes**
* Great amount of improvements on several hooks on the events handler and actions processing.
* Added the global $automatorwp_event to make event accessible globally when an event gets triggered.

= 1.1.0 =

* **New Features**
* Dynamic tags to pass user metas and post metas to actions.
* **Improvements**
* Make cache options don't get autoloaded.
* Improved the speed and performance of the tags parser.
* Code reduction thanks to the brand new tags parser functions.
* Improvements on tags selection function.
* **Developer Notes**
* Added an automation tags parser function that automatically parses all automation tags to the content passed.
* Moved old changelog to changelog.txt.

= 1.0.9 =

* **New Features**
* New trigger: User publishes a post.
* New trigger: User publishes a post in any/specific category.
* New trigger: User publishes a post in any/specific tag.
* New trigger: User publishes a page.
* New action: Create a post.
* New action: Create a user.
* **Improvements**
* Added the integration icon on the automation list on triggers and actions columns.
* Added the integration icon on logs.
* **Developer Notes**
* Improved automatorwp_terms_matches() function.

= 1.0.8 =

* **Bug Fixes**
* Fixed issue with admin menu parent file override.

= 1.0.7 =

* **Improvements**
* Added the ability to clear license fields.
* Removed the "Add new log" button.

= 1.0.6 =

* **Bug Fixes**
* Fixed typo on license fields.

= 1.0.5 =

* **Improvements**
* Keep license key hidden included if license key is not valid or gets expired.

= 1.0.4 =

* **Improvements**
* Ensure to enqueue admin styles to make AutomatorWP icon visible.

= 1.0.3 =

* **Improvements**
* Ensure to enqueue admin scripts only on the plugin screens to avoid any conflict.
* Show trigger order if sequential is enabled for new added items.

= 1.0.2 =

* **New Features**
* New trigger: User daily visits the site.
* New trigger: User views a post of any/specific category.
* New trigger: User views a post of any/specific tag.
* New trigger: User comments on a post of any/specific category.
* New trigger: User comments on a post of any/specific tag.
* **Improvements**
* Make post tags labels more flexible to allow pass the post type label.
* Improvements on multiples translatable strings.

= 1.0.1 =

* **Improvements**
* Prevent perform calls to database tables on installation.

= 1.0.0 =

* AutomatorWP lands on wordpress.org!